Last Comment Bug 825828 - if the connection to the database is lost, the push daemon terminates
: if the connection to the database is lost, the push daemon terminates
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Push (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-01 23:24 PST by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-01-02 07:22 PST (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-01 23:24:38 PST
if the connection to the database is lost, the push daemon terminates.

before each poll it should check that the database connection is still valid, and reconnect if it isn't.
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-02 07:22:07 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified extensions/Push/lib/Config.pm
modified extensions/Push/lib/Push.pm
Committed revision 8427.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0-dev/
modified extensions/Push/lib/Config.pm
modified extensions/Push/lib/Push.pm
Committed revision 8002.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/Push/lib/Config.pm
modified extensions/Push/lib/Push.pm
Committed revision 8472.

Note You need to log in before you can comment on or make changes to this bug.